import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

/**
 * 
 */

/**
 * @title L[̏Ԃ擾
 * @author fukuda
 */
public class GameKeyAdapter extends KeyAdapter {
	int key_code = 0;				//  L[R[h
	char key_char = 0;				//  L[̕
	boolean up_f = false;			//  L[tO
	boolean down_f = false;			//  L[tO
	boolean right_f = false;		//  L[tO
	boolean left_f = false;			//  L[tO
	boolean space_f = false;		//  L[tO
	boolean z_f = false;			//  L[tO
	boolean x_f = false;			//  L[tO


	//  keyListener ̃\bh  
	public void keyPressed(KeyEvent ev) {


		//  L[R[hݒ
		key_code = ev.getKeyCode();
		key_char = ev.getKeyChar();

		//  tOݒ
		switch(key_code) {
			case KeyEvent.VK_UP:
				up_f = true;
				break;
			case KeyEvent.VK_DOWN:
				down_f = true;
				break;
			case KeyEvent.VK_LEFT:
				left_f = true;
				break;
			case KeyEvent.VK_RIGHT:
				right_f = true;
				break;
			case KeyEvent.VK_NUMPAD8:
				up_f = true;
				break;
			case KeyEvent.VK_NUMPAD2:
				down_f = true;
				break;
			case KeyEvent.VK_NUMPAD4:
				left_f = true;
				break;
			case KeyEvent.VK_NUMPAD6:
				right_f = true;
				break;
			case KeyEvent.VK_SPACE:
				space_f = true;
				break;
			case KeyEvent.VK_Z:
				z_f = true;
				break;
			case KeyEvent.VK_X:
				x_f = true;
				break;
		}
	}


	//  keyListener ̃\bh  
	public void keyReleased(KeyEvent ev) {
		int n;


		//  L[R[hݒ
		n = ev.getKeyCode();

		//  tOݒ
		switch(n) {
			case KeyEvent.VK_UP:
				up_f = false;
				break;
			case KeyEvent.VK_DOWN:
				down_f = false;
				break;
			case KeyEvent.VK_LEFT:
				left_f = false;
				break;
			case KeyEvent.VK_RIGHT:
				right_f = false;
				break;
			case KeyEvent.VK_NUMPAD8:
				up_f = false;
				break;
			case KeyEvent.VK_NUMPAD2:
				down_f = false;
				break;
			case KeyEvent.VK_NUMPAD4:
				left_f = false;
				break;
			case KeyEvent.VK_NUMPAD6:
				right_f = false;
				break;
			case KeyEvent.VK_SPACE:
				space_f = false;
				break;
			case KeyEvent.VK_Z:
				z_f = false;
				break;
			case KeyEvent.VK_X:
				x_f = false;
				break;
		}
	}
}
