import java.awt.image.BufferedImage;

/**
 * 
 */

/**
 * P̉摜؂ĕ̉摜𐶐܂
 * @author fukuda
 */
public class ChipImage {
	public int ai_width;					//  S̉摜̕
	public int ai_height;					//  S̉摜̍
	public int chip_width;					//  `bvP̕
	public int chip_height;					//  `bvP̍
	public int chip_x_count;				//  `bvɕԐ
	public int chip_y_count;				//  `bv̏cɕԐ
	public BufferedImage ai_img;			//  S̉摜
	public BufferedImage[][] chip_img;		//  `bvP̉摜


	/**
	 * RXgN^
	 * @param cw		`bvP̕
	 * @param ch		`bvP̍
	 * @param xc		`bvɕԐ
	 * @param yc		`bvcɕԐ
	 * @param img1		S̉摜
	 */
	public ChipImage(int cw,int ch,int xc,int yc,BufferedImage img1) {


			//  l̐ݒ
			chip_width = cw;
			chip_height = ch;
			chip_x_count = xc;
			chip_y_count = yc;
			ai_width = img1.getWidth();
			ai_height = img1.getHeight();
			
			//  `bv摜쐬
			makeChipImage(img1);
	}


	/**
	 * `bv摜쐬
	 * @param img1		S̉摜
	 */
	private void makeChipImage(BufferedImage img1) {
		int ix,iy,ix2,iy2;
		int kx,ky,np;


		//  S̉摜쐬
		ai_img = new BufferedImage(ai_width,ai_height,BufferedImage.TYPE_INT_ARGB);
		ai_img = img1;
	
		//  `bv摜錾
		chip_img = new BufferedImage[chip_x_count*chip_y_count][4];
		for(iy = 0;iy < chip_y_count;iy++) {
			for(ix = 0;ix < chip_x_count;ix++) {
				chip_img[ix+iy*chip_x_count][1] = null;
				chip_img[ix+iy*chip_x_count][2] = null;
				chip_img[ix+iy*chip_x_count][3] = null;

				if((ix+1)*chip_width-1 > ai_width-1  ||  (iy+1)*chip_height-1 > ai_height-1) {
					chip_img[ix+iy*chip_x_count][0] = null;
					continue;
				}

				//  ItXN[쐬
				chip_img[ix+iy*chip_x_count][0] = new BufferedImage(chip_width,chip_height,BufferedImage.TYPE_INT_ARGB);
			}
		}

		//  `bv摜쐬
		for(iy = 0;iy < chip_y_count;iy++) {
			for(ix = 0;ix < chip_x_count;ix++) {
				kx = ix*chip_width;
				ky = iy*chip_height;

				if(kx+chip_width-1 > ai_width-1  ||  ky+chip_height-1 > ai_height-1) {
					chip_img[ix+iy*chip_x_count][0] = null;
					continue;
				}

				for(iy2 = 0;iy2 < chip_height;iy2++) {
					for(ix2 = 0;ix2 < chip_width;ix2++) {
						np = ai_img.getRGB(kx+ix2,ky+iy2);
						chip_img[ix+iy*chip_x_count][0].setRGB(ix2,iy2,np);
					}
				}
			}
		}
	}


	/**
	 * `bv̐]摜쐬
	 */
	public boolean makeReverseChipImage() {
		int ix,iy,ix2,iy2,n_code;
		int[][] pa;


		//  sNZz쐬
		pa = new int[chip_width][chip_height];

		//  `bv摜쐬
		for(iy = 0;iy < chip_y_count;iy++) {
			for(ix = 0;ix < chip_x_count;ix++) {
				n_code = ix+iy*chip_x_count;
				if(chip_img[n_code][0] == null) continue;

				//  sNZf[^[z
				for(iy2 = 0;iy2 < chip_height;iy2++) {
					for(ix2 = 0;ix2 < chip_width;ix2++) {
						pa[ix2][iy2] = chip_img[n_code][0].getRGB(ix2,iy2);
					}
				}

				//  `bṽItXN[쐬
				chip_img[n_code][1] = new BufferedImage(chip_width,chip_height,BufferedImage.TYPE_INT_ARGB);
				chip_img[n_code][2] = new BufferedImage(chip_width,chip_height,BufferedImage.TYPE_INT_ARGB);
				chip_img[n_code][3] = new BufferedImage(chip_width,chip_height,BufferedImage.TYPE_INT_ARGB);
				
				//  ]p^[쐬
				for(iy2 = 0;iy2 < chip_height;iy2++) {
					for(ix2 = 0;ix2 < chip_width;ix2++) {
						chip_img[n_code][1].setRGB(ix2,iy2,pa[chip_width-1-ix2][iy2]);
					}
				}
			
				//  ]p^[쐬
				for(iy2 = 0;iy2 < chip_height;iy2++) {
					for(ix2 = 0;ix2 < chip_width;ix2++) {
						chip_img[n_code][2].setRGB(ix2,iy2,pa[ix2][chip_height-1-iy2]);
					}
				}
			
				//  ]p^[쐬
				for(iy2 = 0;iy2 < chip_height;iy2++) {
					for(ix2 = 0;ix2 < chip_width;ix2++) {
						chip_img[n_code][3].setRGB(ix2,iy2,pa[chip_width-1-ix2][chip_height-1-iy2]);
					}
				}
			}
		}

		return(true);
	}


	/**
	 * `bv摜擾
	 * @param code		`bv摜̃R[h
	 * @return			`bv摜
	 */
	public BufferedImage getChipImage(int code) {


		if(code >= chip_img.length) return(null);
		return(chip_img[code][0]);
	}


	/**
	 * `bv摜擾  ]񂠂
	 * @param code		`bv摜̃R[h
	 * @param r			]
	 *							0  ]Ȃ
	 *							1  ]
	 *							2  ]
	 *							3  ]
	 * @return			`bv摜
	 */
	public BufferedImage getChipImage(int code,int r) {


		if(code >= chip_img.length) return(null);
		return(chip_img[code][r]);
	}
}
